Foreman - Refactor #16120

Add CSS handling to webpack
08/16/2016 05:26 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3736
Description

Webpack can also be used to manage CSS assets. We should take advantage of that to allow adding css from node modules.

Associated revisions

Revision ff51a9f3 - 08/22/2016 04:35 AM - Tomer Brisker
Fixes #16120 - Allow including css in webpack assets
This commit demonstrates using the css from the select2 module using the

webpack css loaders. Images under 32k will be compiled into the css to
reduce request counts.

History

#1 - 08/16/2016 02:46 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3736 added

#2 - 08/22/2016 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ff51a9f3cce9626481cecc4634e80221884b93ch.

#3 - 08/22/2016 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160
